Summary: Traces the route of IPv4/IPv6 network packets 
Name: traceroute
Version: 2.1.3
Release: 2%{?dist}
License: GPLv2+
URL: http://traceroute.sourceforge.net
Source0: https://downloads.sourceforge.net/project/traceroute/traceroute/traceroute-%{version}/traceroute-%{version}.tar.gz

BuildRequires: make gcc

Provides: tcptraceroute = 1.5-1
Obsoletes: tcptraceroute < 1.5-1

%description
The traceroute utility displays the route in IP layer of IP packets to a specified
network destination. Traceroute is a tool for diagnosing network connectivity
problems, which will show where the trouble is coming from along the route.

%prep
%autosetup

%build
%make_build CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS"

%install
install -D -p -m755 traceroute/traceroute $RPM_BUILD_ROOT%{_bindir}/traceroute
ln -s traceroute $RPM_BUILD_ROOT%{_bindir}/traceroute6
install -D -p -m755 wrappers/tcptraceroute $RPM_BUILD_ROOT%{_bindir}/tcptraceroute
install -D -p -m644 traceroute/traceroute.8 $RPM_BUILD_ROOT%{_mandir}/man8/traceroute.8
ln -s traceroute.8 $RPM_BUILD_ROOT%{_mandir}/man8/traceroute6.8
ln -s traceroute.8 $RPM_BUILD_ROOT%{_mandir}/man8/tcptraceroute.8

%files
%license COPYING
%doc README TODO CREDITS
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.3-2
- Rebuilt for loongarch release

* Fri Nov 10 2023 Feng Weiyao <wynnfeng@tencent.com> - 2.1.3-1
- upgrade to 2.1.3 and fix CVE-2023-46316

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jun 29 2022 Yi Lin <nilusyi@tencent.com> - 2.1.0-1
- package init.
